Mask Configuration in EJ2 JavaScript Input Mask

21 Aug 202617 minutes to read

The mask is a combination of standard and custom mask elements that validates the user input based on its behavior.

When the mask value is empty, the MaskedTextBox behaves as an input element with text type.

Standard mask elements

The following table shows the list of mask elements and its behavior based on MSDN standard.

The mask can be formed by combining any one or more of these mask elements.

Mask Element Description
0 Digit required. This element will accept any single digit from 0 to 9.
9 Digit or space, optional.
# Digit or space, optional, Plus(+) and minus(-) signs are allowed.
L Letter required. It will accept letters a-z and A-Z.
? Letter or space, optional.
& Requires a character.
C Character or space, optional.
A Alphanumeric (A-Za-z0-9) required.
a Alphanumeric (A-Za-z0-9) or space, optional.
< Shift down. Converts all characters to lower case.
> Shift up. Converts all characters to upper case.
| Disable a previous shift up or shift down.
\\ Escapes a mask character, turning it into a literal.
All other characters Literals. All non-mask elements (literals) will appear as themselves within MaskedTextBox.

The following example demonstrates the usage of standard mask elements.

// initializes the MaskedTextBox component
var mask1 = new ej.inputs.MaskedTextBox({
        // sets mask with the mask element '#' which accepts any single digit from '0' to '9',
        // space, + and - signs
        mask: '#####',
        placeholder: 'Mask ##### (ex: 012+-)',
        floatLabelType: 'Always'
});

mask1.appendTo('#mask1');

var mask2 = new ej.inputs.MaskedTextBox({
        // sets mask format with the mask element 'L' which allows only alphabets('A-Z and a-z')
        mask: 'LLLLLL',
        placeholder: 'Mask LLLLLL (ex: Sample)',
        floatLabelType: 'Always'
});

mask2.appendTo('#mask2');

var mask3 = new ej.inputs.MaskedTextBox({
        // sets mask format with the mask element '&' which allows `alphabets`, `numbers`
        // and `special characters`
        mask: '&&&&&',
        placeholder: 'Mask &&&&& (ex: A12@#)',
        floatLabelType: 'Always'
});

mask3.appendTo('#mask3');

var mask4 = new ej.inputs.MaskedTextBox({
        // sets mask format with the mask element `>` which converts all characters that follow
        // to upper case and `<` which converts all characters that follow to lower case
        mask: '>LLL<LLL',
        placeholder: 'Mask >LLL<LL (ex: SAMple)',
        floatLabelType: 'Always'
});

mask4.appendTo('#mask4');

var mask5 = new ej.inputs.MaskedTextBox({
        // sets mask format with the mask element '\\' which turns mask element `A` into
        // a literal and it displays the alphabet `A`
        mask: '\\A999',
        placeholder: 'Mask \\A999 (ex: A321)',
        floatLabelType: 'Always'
});

mask5.appendTo('#mask5');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 MaskedTextBox</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript MaskedTextBox Component With Standard Masks">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div class="wrap">
            <input id="mask1" type="text">
        </div>
        <div class="wrap">
            <input id="mask2" type="text">
        </div>
        <div class="wrap">
            <input id="mask3" type="text">
        </div>
        <div class="wrap">
            <input id="mask4" type="text">
        </div>
        <div class="wrap">
            <input id="mask5" type="text">
        </div>
    </div>
    


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 20px auto;
  width: 240px;
}

Custom mask elements

Other than the above standard mask elements, the mask can be configured with the custom characters or regular expression to define a custom behavior.

Custom characters

You can define any of the non-mask element as the mask element and its behavior through the customCharacters property.

In the following example, non-mask element P accepts the values P, A, p, a, and M accepts the values M, m as mentioned in the custom characters collection.

// initializes the MaskedTextBox component
var mask = new ej.inputs.MaskedTextBox({
    // sets custom characters collection for non-mask elements 'P' and 'M'
    customCharacters: {
        P: 'P,A,a,p',
        M: 'M,m'
    },
    // sets mask format to the MaskedTextBox
    mask: '00:00 >PM',
    placeholder: 'Time (ex: 10:00 PM, 10:00 AM)',
    floatLabelType: 'Always'
});

mask.appendTo('#mask');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 MaskedTextBox</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript MaskedTextBox Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>
<body>
    
    <div id="container">
        <div class="wrap">
            <input id="mask" type="text">
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 0 auto;
  width: 240px;
}

.label {
    font-family: 'Helvetica Neue', 'Helvetica', 'Arial', 'sans-serif';
    font-size: 14px;
}

Regular expression

Instead of the mask element, you can define your own regular expression to validate the input of a particular input place. The regular expressions should be wrapped by the square brackets (e.g., [Regex]).

In the following example, regular expression has been set for each input places.

// initializes the MaskedTextBox component
var mask = new ej.inputs.MaskedTextBox({
        // sets set of regular expression for each input place as mask
         placeholder: 'IP Address (ex: 212.212.111.222)',
         floatLabelType: 'Always', 
         mask: '[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9]' 
});

mask.appendTo('#mask');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 MaskedTextBox</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript MaskedTextBox Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div class="wrap">
            <input id="mask" type="text">
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 0 auto;
  width: 240px;
}

Prompt character

The Prompt character is a prompting symbol in the MaskedTextBox for the mask elements. The symbol is used to show the input positions in the MaskedTextBox. You can customize the prompt character of MaskedTextBox by using the promptChar property.

The following example demonstrates the MaskedTextBox with customized prompt character as *.

// initializes the MaskedTextBox component
var mask = new ej.inputs.MaskedTextBox({
        // sets the prompting symbol to the MaskedTextBox
        promptChar: "#",
        // sets mask format to the MaskedTextBox
        mask: '999-999-9999'
});

mask.appendTo('#mask');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 MaskedTextBox</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript MaskedTextBox Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>
<body>
    
    <div id="container">
        <div class="wrap">
            <input id="mask" type="text">
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 0 auto;
  width: 240px;
}

.label {
    font-family: 'Helvetica Neue', 'Helvetica', 'Arial', 'sans-serif';
    font-size: 14px;
}

Mask Configuration in Vue MaskedTextBox

20 Aug 202612 minutes to read

The mask is a combination of standard and custom mask elements, that validates the user input based on its behavior.

When the mask value is empty, the MaskedTextBox behaves as an input element with text type.

Standard mask elements

The following table shows the list of mask elements and its behavior based on
MSDN standard.

The mask can be formed by combining any one or more of these mask elements.

Mask Element Description
0 Digit required. This element will accept any single digit from 0 to 9.
9 Digit or space, optional.
# Digit or space, optional, Plus(+) and minus(-) signs are allowed.
L Letter required. It will accept letters a-z and A-Z.
? Letter or space, optional.
& Requires a character.
C Character or space, optional.
A Alphanumeric (A-Za-z0-9) required.
a Alphanumeric (A-Za-z0-9) or space, optional.
< Shift down. Converts all characters to lower case.
> Shift up. Converts all characters to upper case.
| Disable a previous shift up or shift down.
\\ Escapes a mask character, turning it into a literal.
All other characters Literals. All non-mask elements (literals) will appear as themselves within MaskedTextBox.

The following example demonstrates the usage of standard mask elements.

<template>
  <div id="app">
    <div class='wrap'>
      <ejs-maskedtextbox mask='#####' placeholder='Mask ##### (ex: 012+-)' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
    <div class='wrap'>
      <ejs-maskedtextbox mask='LLLLLL' placeholder='Mask LLLLLL (ex: Sample)' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
    <div class='wrap'>
      <!-- eslint-disable-next-line -->
      <ejs-maskedtextbox mask='&&&&&' placeholder='Mask &&&&& (ex: A12@#)' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
    <div class='wrap'>
      <ejs-maskedtextbox mask='>LLL<LLL' placeholder='Mask >LLL<LL (ex: SAMple)'
        floatLabelType='Always'></ejs-maskedtextbox>
    </div>
    <div class='wrap'>
      <ejs-maskedtextbox mask='\\A999' placeholder='Mask \\A999 (ex: A321)' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
  </div>
</template>
<script setup>

import { MaskedTextBoxComponent as EjsMaskedtextbox } from "@syncfusion/ej2-vue-inputs";

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 20px auto;
  width: 240px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-maskedtextbox mask='#####' placeholder='Mask ##### (ex: 012+-)' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
    <div class='wrap'>
      <ejs-maskedtextbox mask='LLLLLL' placeholder='Mask LLLLLL (ex: Sample)' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
    <div class='wrap'>
      <!-- eslint-disable-next-line -->
      <ejs-maskedtextbox mask='&&&&&' placeholder='Mask &&&&& (ex: A12@#)' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
    <div class='wrap'>
      <ejs-maskedtextbox mask='>LLL<LLL' placeholder='Mask >LLL<LL (ex: SAMple)'
        floatLabelType='Always'></ejs-maskedtextbox>
    </div>
    <div class='wrap'>
      <ejs-maskedtextbox mask='\\A999' placeholder='Mask \\A999 (ex: A321)' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
  </div>
</template>
<script>

import { MaskedTextBoxComponent } from "@syncfusion/ej2-vue-inputs";

export default {
  name: "App",
  components: {
    "ejs-maskedtextbox": MaskedTextBoxComponent
  },
  data() {
    return {}
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 20px auto;
  width: 240px;
}
</style>

Custom mask elements

Other than the above standard mask elements, the mask can be configured with the custom characters or regular expression to define a custom behavior.

Custom characters

You can define any of the non-mask element as the mask element and its behavior through the customCharacters property.

In the following example, non-mask element P accepts the values P, A, p, a and M accepts the values M, m as mentioned in the custom characters collection.

<template>
  <div id="app">
    <div class='wrap'>
        <ejs-maskedtextbox :customCharacters='customCharacters' mask='00:00 >PM' placeholder='Time (ex: 10:00 PM, 10:00 AM)' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
  </div>
</template>
<script setup>

import { MaskedTextBoxComponent as EjsMaskedtextbox} from "@syncfusion/ej2-vue-inputs";

const customCharacters = {
  P: 'P,A,a,p',
  M: 'M,m'
};

</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
    margin: 0 auto;
    width: 240px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-maskedtextbox :customCharacters='customCharacters' mask='00:00 >PM' placeholder='Time (ex: 10:00 PM, 10:00 AM)'
        floatLabelType='Always'></ejs-maskedtextbox>
    </div>
  </div>
</template>
<script>

import { MaskedTextBoxComponent } from "@syncfusion/ej2-vue-inputs";

export default {
  name: "App",
  components: {
    "ejs-maskedtextbox": MaskedTextBoxComponent
  },
  data() {
    return {
      customCharacters: {
        P: 'P,A,a,p',
        M: 'M,m'
      }
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 0 auto;
  width: 240px;
}
</style>

Regular expression

Instead of the mask element, you can define your own regular expression to validate the input of a particular input place. The regular expressions should be wrapped by the square brackets (e.g.,: [Regex]).

In the following example, regular expression has been set for each input places.

<template>
  <div id="app">
    <div class='wrap'>
        <ejs-maskedtextbox mask='[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9]' placeholder='IP Address (ex: 212.212.111.222)' id='mask1' name='mask_value' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
  </div>
  </template>
<script setup>

import { MaskedTextBoxComponent as EjsMaskedtextbox} from "@syncfusion/ej2-vue-inputs";

</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
    margin: 0 auto;
    width: 240px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-maskedtextbox mask='[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9]'
        placeholder='IP Address (ex: 212.212.111.222)' id='mask1' name='mask_value'
        floatLabelType='Always'></ejs-maskedtextbox>
    </div>
  </div>
</template>
<script>

import { MaskedTextBoxComponent } from "@syncfusion/ej2-vue-inputs";


export default {
  name: "App",
  components: {
    "ejs-maskedtextbox": MaskedTextBoxComponent
  },
  data() {
    return {}
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 0 auto;
  width: 240px;
}</style>

Prompt character

The Prompt character is a prompting symbol in the MaskedTextBox for the mask elements. The symbol is used to show the input positions in the MaskedTextBox. You can customize the prompt character of MaskedTextBox by using the promptChar property.

The following example demonstrates the MaskedTextBox with customized prompt character as *.

<template>
  <div id="app">
    <div class='wrap'>
        <ejs-maskedtextbox mask='999-999-9999' promptChar="#"></ejs-maskedtextbox>
    </div>
  </div>
</template>
<script setup>

import { MaskedTextBoxComponent as EjsMaskedtextbox} from "@syncfusion/ej2-vue-inputs";

</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
    margin: 0 auto;
    width: 240px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-maskedtextbox mask='999-999-9999' promptChar="#"></ejs-maskedtextbox>
    </div>
  </div>
</template>
<script>

import { MaskedTextBoxComponent } from "@syncfusion/ej2-vue-inputs";

export default {
  name: "App",
  components: {
    "ejs-maskedtextbox": MaskedTextBoxComponent
  },
  data() {
    return {}
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  margin: 0 auto;
  width: 240px;
}
</style>

Mask Configuration in Angular Input Mask

25 Sep 20269 minutes to read

The mask is a combination of standard and custom mask elements that validates the user input based on its behavior.

When the mask value is empty, the MaskedTextBox behaves as an input element with text type.

Standard mask elements

The following table shows the list of mask elements and its behavior based on MSDN standard.

The mask can be formed by combining any one or more of these mask elements.

Mask Element Description
0 Digit required (0-9).
9 Digit or space, optional.
# Digit, space, plus, or minus sign, optional.
L Letter required (a-z, A-Z).
? Letter or space, optional.
& Character required.
C Character or space, optional.
A Alphanumeric (A-Za-z0-9) required.
a Alphanumeric (A-Za-z0-9) or space, optional.
< Shift down (convert to lowercase).
> Shift up (convert to uppercase).
| Disable previous shift up or down.
\\ Escape character (literal mask character).
All other characters Literal characters displayed as-is in the Angular Input Mask.

The following example demonstrates the usage of standard mask elements.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { MaskedTextBoxModule } from '@syncfusion/ej2-angular-inputs'
import { FormsModule } from '@angular/forms'



import { Component } from '@angular/core';

@Component({
imports: [
         MaskedTextBoxModule, FormsModule
    ],


standalone: true,
    selector: 'app-root',
    // sets different types of standard masks to the MaskedTextBox component
    template: `
             <div class='wrap'>
                 <ejs-maskedtextbox mask='#####' placeholder='Mask ##### (ex: 012+-)' floatLabelType= 'Always'></ejs-maskedtextbox>
             </div>
             <div class='wrap'>
                 <ejs-maskedtextbox mask='LLLLLL' placeholder='Mask LLLLLL (ex: Sample)' floatLabelType= 'Always'></ejs-maskedtextbox>
             </div>
             <div class='wrap'>
                 <ejs-maskedtextbox mask='&&&&&' placeholder='Mask &&&&& (ex: A12@#)' floatLabelType= 'Always'></ejs-maskedtextbox>
             </div>
             <div class='wrap'>
                 <ejs-maskedtextbox mask='>LLL<LLL' placeholder='Mask >LLL<LL (ex: SAMple)' floatLabelType= 'Always'></ejs-maskedtextbox>
             </div>
             <div class='wrap'>
                 <ejs-maskedtextbox mask='\\A999' placeholder='Mask \\A999 (ex: A321)' floatLabelType= 'Always'></ejs-maskedtextbox>
             </div>`
})
export class AppComponent {
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Custom mask elements

Other than the above standard mask elements, the mask can be configured with the custom characters or regular expression to define a custom behavior.

Custom characters

You can define any of the non-mask element as the mask element and its behavior through the customCharacters property.

In the following example, non-mask element P accepts the values P, A, p, a and M accepts the values M, m as mentioned in the custom characters collection.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { MaskedTextBoxModule } from '@syncfusion/ej2-angular-inputs'
import { FormsModule } from '@angular/forms'



import { Component } from '@angular/core';

@Component({
imports: [
         MaskedTextBoxModule, FormsModule
    ],


standalone: true,
    selector: 'app-root',
    // sets mask format to the MaskedTextBox
    template: `
            <ejs-maskedtextbox [customCharacters]="customMaskChar" mask='00:00 >PM' placeholder='Time (ex: 10:00 PM, 10:00 AM)' floatLabelType= 'Always'></ejs-maskedtextbox>
            `
})
export class AppComponent {
    // sets custom characters collection for non-mask elements 'P' and 'M'
    public customMaskChar: Object = { P: 'P,A,p,a', M: 'M,m'};
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Regular expression

Instead of the mask element, you can define your own regular expression to validate the input of a particular input place.
The regular expressions should be wrapped by the square brackets (e.g., [Regex]).

In the following example, regular expression has been set for each input places.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { MaskedTextBoxModule } from '@syncfusion/ej2-angular-inputs'



import { Component } from '@angular/core';

@Component({
imports: [
         MaskedTextBoxModule
    ],


standalone: true,
    selector: 'app-root',
    // sets set of regular expression for each input place as mask
    template: `
            <ejs-maskedtextbox name="mask_value" #mask="" mask='[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9]' placeholder='IP Address (ex: 212.212.111.222)' floatLabelType= 'Always'></ejs-maskedtextbox>
            `
})
export class AppComponent {
     constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Prompt character

The Prompt character is a prompting symbol in the Angular Input Mask for the mask elements. The symbol is used to show the input positions in the Angular Input Mask.
You can customize the prompt character of Angular Input Mask by using the promptChar property.

The following example demonstrates the MaskedTextBox with customized prompt character as *.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { MaskedTextBoxModule } from '@syncfusion/ej2-angular-inputs'
import { FormsModule } from '@angular/forms'



import { Component } from '@angular/core';

@Component({
imports: [
         MaskedTextBoxModule, FormsModule
    ],


standalone: true,
    selector: 'app-root',
    // sets the prompting symbol to the MaskedTextBox
    // sets mask format to the MaskedTextBox
    template: `
            <ejs-maskedtextbox promptChar="#" mask='999-999-9999'></ejs-maskedtextbox>
            `
})
export class AppComponent {
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Mask Configuration in React Input Mask

The mask is a combination of standard and custom mask elements, that validates the user input based on its behavior.

When the mask value is empty, the React Input Mask behaves as an input element with text type.

Standard mask elements

The following table shows the list of mask elements and its behavior based on MSDN standard.

The mask can be formed by combining any one or more of these mask elements.

Mask Element Description
0 Digit required. This element will accept any single digit from 0 to 9.
9 Digit or space, optional.
# Digit or space, optional, Plus(+) and minus(-) signs are allowed.
L Letter required. It will accept letters a-z and A-Z.
? Letter or space, optional.
& Requires a character.
C Character or space, optional.
A Alphanumeric (A-Za-z0-9) required.
a Alphanumeric (A-Za-z0-9) or space, optional.
< Shift down. Converts all characters to lower case.
> Shift up. Converts all characters to upper case.
| Disable a previous shift up or shift down.
\\ Escapes a mask character, turning it into a literal.
All other characters Literals. All non-mask elements (literals) will appear as themselves within React Input Mask.

The following example demonstrates the usage of standard mask elements.

[Class-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
// sets mask with the mask element '#' which accepts any single digit from '0' to '9',
// space, + and - signs
ReactDOM.render(<MaskedTextBoxComponent mask={'#####'} placeholder={'Mask ##### (ex: 012+-)'} floatLabelType='Always'/>, document.getElementById('mask1'));
// sets mask format with the mask element 'L' which allows only alphabets('A-Z and a-z')
ReactDOM.render(<MaskedTextBoxComponent mask={'LLLLLL'} placeholder={'Mask LLLLLL (ex: Sample)'} floatLabelType='Always'/>, document.getElementById('mask2'));
// sets mask format with the mask element '&' which allows `alphabets`, `numbers`
// and `special characters`
ReactDOM.render(<MaskedTextBoxComponent mask={'&&&&&'} placeholder={'Mask &&&&& (ex: A12@#)'} floatLabelType='Always'/>, document.getElementById('mask3'));
// sets mask format with the mask element `>` which converts all characters that follow
// to upper case and `<` which converts all characters that follow to lower case
ReactDOM.render(<MaskedTextBoxComponent mask={'>LLL<LLL'} placeholder={'Mask >LLL<LL (ex: SAMple)'} floatLabelType='Always'/>, document.getElementById('mask4'));
// sets mask format with the mask element '\\' which turns mask element `A` into
// a literal and it displays the alphabet `A`
ReactDOM.render(<MaskedTextBoxComponent mask={'\\A999'} placeholder={'Mask \\A999 (ex: A321)'} floatLabelType='Always'/>, document.getElementById('mask5'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

// sets mask with the mask element '#' which accepts any single digit from '0' to '9',
// space, + and - signs
ReactDOM.render(<MaskedTextBoxComponent mask={'#####'}  placeholder= {'Mask ##### (ex: 012+-)'} floatLabelType='Always'/>
,document.getElementById('mask1'));

// sets mask format with the mask element 'L' which allows only alphabets('A-Z and a-z')
ReactDOM.render(<MaskedTextBoxComponent mask={'LLLLLL'}  placeholder= {'Mask LLLLLL (ex: Sample)'} floatLabelType='Always'/>
,document.getElementById('mask2'));

// sets mask format with the mask element '&' which allows `alphabets`, `numbers`
// and `special characters`
ReactDOM.render(<MaskedTextBoxComponent mask={'&&&&&'}  placeholder= {'Mask &&&&& (ex: A12@#)'} floatLabelType='Always'/>
,document.getElementById('mask3'));

// sets mask format with the mask element `>` which converts all characters that follow
// to upper case and `<` which converts all characters that follow to lower case
ReactDOM.render(<MaskedTextBoxComponent mask={'>LLL<LLL'}  placeholder= {'Mask >LLL<LL (ex: SAMple)'} floatLabelType='Always'/>
,document.getElementById('mask4'));

// sets mask format with the mask element '\\' which turns mask element `A` into
// a literal and it displays the alphabet `A`
ReactDOM.render(<MaskedTextBoxComponent mask={'\\A999'}  placeholder= {'Mask \\A999 (ex: A321)'} floatLabelType='Always'/>
,document.getElementById('mask5'));

[Functional-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
// sets mask with the mask element '#' which accepts any single digit from '0' to '9',
// space, + and - signs
function App1() {
    return (<MaskedTextBoxComponent mask={'#####'} placeholder={'Mask ##### (ex: 012+-)'} floatLabelType="Always"/>);
}
ReactDOM.render(<App1 />, document.getElementById('mask1'));
// sets mask format with the mask element 'L' which allows only alphabets('A-Z and a-z')
function App2() {
    return (<MaskedTextBoxComponent mask={'LLLLLL'} placeholder={'Mask LLLLLL (ex: Sample)'} floatLabelType="Always"/>);
}
ReactDOM.render(<App2 />, document.getElementById('mask2'));
// sets mask format with the mask element '&' which allows `alphabets`, `numbers`
// and `special characters`
function App3() {
    return (<MaskedTextBoxComponent mask={'&&&&&'} placeholder={'Mask &&&&& (ex: A12@#)'} floatLabelType="Always"/>);
}
ReactDOM.render(<App3 />, document.getElementById('mask3'));
// sets mask format with the mask element `>` which converts all characters that follow
// to upper case and `<` which converts all characters that follow to lower case
function App4() {
    return (<MaskedTextBoxComponent mask={'>LLL<LLL'} placeholder={'Mask >LLL<LL (ex: SAMple)'} floatLabelType="Always"/>);
}
ReactDOM.render(<App4 />, document.getElementById('mask4'));
// sets mask format with the mask element '\\' which turns mask element `A` into
// a literal and it displays the alphabet `A`
function App5() {
    return (<MaskedTextBoxComponent mask={'\\A999'} placeholder={'Mask \\A999 (ex: A321)'} floatLabelType="Always"/>);
}
ReactDOM.render(<App5 />, document.getElementById('mask5'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

// sets mask with the mask element '#' which accepts any single digit from '0' to '9',
// space, + and - signs
function App1() {
    return (
    <MaskedTextBoxComponent
      mask={'#####'}
      placeholder={'Mask ##### (ex: 012+-)'}
      floatLabelType="Always"
    />
  );
}
ReactDOM.render(<App1 />, document.getElementById('mask1'));

// sets mask format with the mask element 'L' which allows only alphabets('A-Z and a-z')
function App2() {
  return (
    <MaskedTextBoxComponent
      mask={'LLLLLL'}
      placeholder={'Mask LLLLLL (ex: Sample)'}
      floatLabelType="Always"
    />
  );
}
ReactDOM.render(<App2 />, document.getElementById('mask2'));

// sets mask format with the mask element '&' which allows `alphabets`, `numbers`
// and `special characters`
function App3() {
  return (
    <MaskedTextBoxComponent
      mask={'&&&&&'}
      placeholder={'Mask &&&&& (ex: A12@#)'}
      floatLabelType="Always"
    />
  );
}
ReactDOM.render(<App3 />, document.getElementById('mask3'));

// sets mask format with the mask element `>` which converts all characters that follow
// to upper case and `<` which converts all characters that follow to lower case
function App4() {
  return (
    <MaskedTextBoxComponent
      mask={'>LLL<LLL'}
      placeholder={'Mask >LLL<LL (ex: SAMple)'}
      floatLabelType="Always"
    />
  );
}
ReactDOM.render(<App4 />, document.getElementById('mask4'));

// sets mask format with the mask element '\\' which turns mask element `A` into
// a literal and it displays the alphabet `A`
function App5() {
  return (
    <MaskedTextBoxComponent
      mask={'\\A999'}
      placeholder={'Mask \\A999 (ex: A321)'}
      floatLabelType="Always"
    />
  );
}
ReactDOM.render(<App5 />, document.getElementById('mask5'));

Custom mask elements

Other than the above standard mask elements, the mask can be configured with the custom characters or regular expression to define a custom behavior.

Custom characters

You can define any of the non-mask element as the mask element and its behavior through the customCharacters property.

In the following example, non-mask element P accepts the values P, A, p, a and M accepts the values M, m as mentioned in the custom characters collection.

[Class-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class App extends React.Component {
    chars = { P: 'P,A,a,p', M: 'M,m' };
    render() {
        return (
        // sets custom characters collection for non-mask elements 'P' and 'M'
        <MaskedTextBoxComponent mask='00:00 >PM' customCharacters={this.chars} placeholder='Time (ex: 10:00 PM, 10:00 AM)' floatLabelType='Always'/>);
    }
}
ReactDOM.render(<App />, document.getElementById('maskedContainer'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

export default class App extends React.Component<{}, {}> {
  public chars: any = { P: 'P,A,a,p', M: 'M,m'};
  public render() {
    return (
        // sets custom characters collection for non-mask elements 'P' and 'M'
        <MaskedTextBoxComponent mask='00:00 >PM'  customCharacters= {this.chars}  placeholder= 'Time (ex: 10:00 PM, 10:00 AM)' floatLabelType='Always'/>
    );
  }
}

ReactDOM.render(<App />, document.getElementById('maskedContainer'));

[Functional-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
function App() {
    let chars = { P: 'P,A,a,p', M: 'M,m' };
    return (
    // sets custom characters collection for non-mask elements 'P' and 'M'
    <MaskedTextBoxComponent mask="00:00 >PM" customCharacters={chars} placeholder="Time (ex: 10:00 PM, 10:00 AM)" floatLabelType="Always"/>);
}
ReactDOM.render(<App />, document.getElementById('maskedContainer'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

function App() {
  let chars: any = { P: 'P,A,a,p', M: 'M,m'};
  return (
    // sets custom characters collection for non-mask elements 'P' and 'M'
    <MaskedTextBoxComponent
      mask="00:00 >PM"
      customCharacters={chars}
      placeholder="Time (ex: 10:00 PM, 10:00 AM)"
      floatLabelType="Always"
    />
  );
}

ReactDOM.render(<App />, document.getElementById('maskedContainer'));

Regular expression

Instead of the mask element, you can define your own regular expression to validate the input of a particular input place.
The regular expressions should be wrapped by the square brackets (e.g.,: [Regex]).

In the following example, regular expression has been set for each input places.

[Class-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
ReactDOM.render(<MaskedTextBoxComponent mask='[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9]' placeholder='IP Address (ex: 212.212.111.222)' floatLabelType='Always'/>, document.getElementById('masktextbox'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

ReactDOM.render(<MaskedTextBoxComponent mask='[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9]' placeholder= 'IP Address (ex: 212.212.111.222)' floatLabelType='Always' />
,document.getElementById('masktextbox'));

[Functional-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
function App() {
    return (<MaskedTextBoxComponent mask="[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9]" placeholder="IP Address (ex: 212.212.111.222)" floatLabelType="Always"/>);
}
ReactDOM.render(<App />, document.getElementById('masktextbox'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

function App() {
  return (
    <MaskedTextBoxComponent
      mask="[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9].[0-2][0-9][0-9]"
      placeholder="IP Address (ex: 212.212.111.222)"
      floatLabelType="Always"
    />
  );
}
ReactDOM.render(<App />, document.getElementById('masktextbox'));

Prompt character

The Prompt character is a prompting symbol in the React Input Mask for the mask elements. The symbol is used to show the input positions in the React Input Mask. You can customize the prompt character of React Input Mask by using the promptChar property.

The following example demonstrates the React Input Mask with customized prompt character as *.

[Class-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
ReactDOM.render(<MaskedTextBoxComponent mask={'999-999-9999'} promptChar={'#'}/>, document.getElementById('maskedContainer'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

ReactDOM.render(<MaskedTextBoxComponent mask={'999-999-9999'} promptChar={'#'} /> ,document.getElementById('maskedContainer'));

[Functional-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
function App() {
    return <MaskedTextBoxComponent mask={'999-999-9999'} promptChar={'#'}/>;
}
ReactDOM.render(<App />, document.getElementById('maskedContainer'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

function App() {
  return <MaskedTextBoxComponent mask={'999-999-9999'} promptChar={'#'} />;
}
ReactDOM.render(<App />, document.getElementById('maskedContainer'));